[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.FieldKind

The kind of field.

## Declaration

Source position: db.pas line 448

`published property TField.FieldKind : TFieldKind read FFieldKind write FFieldKind;`

## Description

FieldKind indicates the type of the TField instance. Besides TField instances that represent fields present in the underlying data records, there can also be calculated or lookup fields. This property determines what kind of field the TField instance is.